﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 2024C: (1 year) VER VISA /9500+5Hd
DATE:                  2010-12-17 10:31:17
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       292
CONFIGURATION:         Datron 9500 (C5)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
CONFIGURATION:         Datron 9510 on channel 5
=============================================================================
#
#  Procedure Author:
#        DFM, DAC, VY, ZY
# 
#  Models covered:
#        TDS 2024C
# 
#  Source(s):
#        TDS1000B and TDS2000B Series Digital Storage Oscilloscopes
#        Service Manual, PN 071-1828-00
# 
#  Compatibility:
#        MET/CAL 7.3 or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub Select Failed Test Mode
#        Sub High Voltage Safety Warning
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS1000B/2000B USB Remote Interface Connection
#        Sub Tek TDS1000B/2000B Specifications
#        Sub Tek TDS1000B/2000B Self-Test VISA
#        Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
#        Sub Tek TDS1000B/2000B Select Channel VISA
#        Sub Tek TDS1000B/2000B Trigger Chk and Level Adj VISA
#        Sub Tek TDS1000B/2000B (1 yr) DCV Meas VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) Bandwidth VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) Trig Sens VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /9500
#        Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+2Hd
#        Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /9500
#        Sub Tek TDS1000B/2000B Calculate Vertical Pos VISA
#        Sub Datron 9500 Configuration Query IEEE
#        Sub Tek TDS1000B/2000B VER Required Equipment IEEE/9500
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        See "Sub Tek TDS1000B/2000B VER Required Equipment IEEE/9500"
# 
# The procedure was tested using:
#
#        Model No  : Tektronix TDS 2024C
#        Serial No : C010121
#        Options   :
#        Firmware  : CF:91.1CT FV:v21.20
#
# Average run time during testing :  50 min
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         200MH                        1Vpp           LS    S
  1.004  M9500                       CH2
  1.005  9500         200MH                        1Vpp           LS    S
  1.006  M9500                       CH3
  1.007  9500         200MH                        1Vpp           LS    S
  1.008  M9500                       CH4
  1.009  9500         200MH                        1Vpp           LS    S
  1.010  M9500                       CH5
  1.011  9500         200MH                        1Vpp           LS    S
  1.012  ENDIF

  1.013  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.014  ASK+           K

  1.015  IF           NOT(VERSIONCHECK("7.3"))
  1.016  END
  1.017  ENDIF

  1.018  CALL         Sub Display Copyright
  1.019  CALL         Sub High Voltage Safety Warning

  1.020  HEAD         PRELIMINARY INSTRUCTIONS
  1.021  CALL         Sub Select Failed Test Mode
  1.022  CALL         Sub Select Verification Method (No NTHROW)

  1.023  DISP         Ensure a minimum UUT warm-up time of at least
  1.023  DISP         10 minutes has been allowed to elapse, prior
  1.023  DISP         to beginning verification.

  1.024  HEAD         COMMUNICATION SETUP
  1.025  TARGET
  1.026  CALL         Sub Tek TDS1000B/2000B USB Remote Interface Connection
  1.027  VISA         *RST

  1.028  HEAD         UUT IDENTIFICATION
  1.029  CALL         Sub IEEE-488.2 Identification Query VISA
  1.030  MATH         @UUT_Model = "TDS 2024C"
  1.031  MATH         @UUT_Manufacturer = "Tektronix"
  1.032  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.033  JMPL         END                          @Abort

  1.034  CALL         Sub Tek TDS1000B/2000B Specifications

  1.035  MATH         @NumHeads = 5
  1.036  CALL         Sub Tek TDS1000B/2000B VER Required Equipment IEEE/9500
  1.037  JMPL         END                          @Abort

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    3.   DCV MEASUREMENT ACC(CH1)           DCV MEASUREMENT ACC(CH1)
#    4.   DCV MEASUREMENT ACC(CH2)           DCV MEASUREMENT ACC(CH2)
#    5.   DCV MEASUREMENT ACC(CH3)           DCV MEASUREMENT ACC(CH3)
#    6.   DCV MEASUREMENT ACC(CH4)           DCV MEASUREMENT ACC(CH4)
#    7.   BANDWIDTH(CH1)                     BANDWIDTH(CH1)
#    8.   BANDWIDTH(CH2)                     BANDWIDTH(CH2)
#    9.   BANDWIDTH(CH3)                     BANDWIDTH(CH3)
#   10.   BANDWIDTH(CH4)                     BANDWIDTH(CH4)
#   11.   EDGE-TRIGGER SENSITIVITY(CH1)      EDGE-TRIGGER SENSITIVITY(CH1)
#   12.   EDGE-TRIGGER SENSITIVITY(CH2)      EDGE-TRIGGER SENSITIVITY(CH2)
#   13.   EDGE-TRIGGER SENSITIVITY(CH3)      EDGE-TRIGGER SENSITIVITY(CH3)
#   14.   EDGE-TRIGGER SENSITIVITY(CH4)      EDGE-TRIGGER SENSITIVITY(CH4)
#   15.   EXT EDGE-TRIGGER SENSITIVITY(CH1)  VERTICAL POSITION ACC(CH1)
#   16.   EXT EDGE-TRIGGER SENSITIVITY(CH2)  VERTICAL POSITION ACC(CH2)
#   17.   EXT EDGE-TRIGGER SENSITIVITY(CH3)  VERTICAL POSITION ACC(CH3)
#   18.   EXT EDGE-TRIGGER SENSITIVITY(CH4)  VERTICAL POSITION ACC(CH4)
#   19.   SAMPLE RATE AND DELAY TIME ACC     SAMPLE RATE AND DELAY TIME ACC
#   20.   VERTICAL POSITION ACC(CH1)         EXT EDGE-TRIGGER SENSITIVITY(CH1)
#   21.   VERTICAL POSITION ACC(CH2)         EXT EDGE-TRIGGER SENSITIVITY(CH2)
#   22.   VERTICAL POSITION ACC(CH3)         EXT EDGE-TRIGGER SENSITIVITY(CH3)
#   23.   VERTICAL POSITION ACC(CH4)         EXT EDGE-TRIGGER SENSITIVITY(CH4)

  1.038  CALL         Sub Tek TDS1000B/2000B Self-Test VISA
  1.039  JMPL         END                          @Abort
  1.040  CALL         Sub Tek TDS1000B/2000B Sig Path Comp Cal VISA
  1.041  JMPL         END                          @Abort

  1.042  MATH         @Chan = 1
  1.043  M9500                       CH1
  1.044  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /9500

  1.045  MATH         @Chan = 2
  1.046  M9500                       CH2
  1.047  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /9500

  1.048  MATH         @Chan = 3
  1.049  M9500                       CH3
  1.050  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /9500

  1.051  MATH         @Chan = 4
  1.052  M9500                       CH4
  1.053  CALL         Sub Tek TDS1000B/2000B (1 yr) DCV MEAS VISA /9500

  1.054  MATH         @Chan = 1
  1.055  M9500                       CH1
  1.056  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /9500

  1.057  MATH         @Chan = 2
  1.058  M9500                       CH2
  1.059  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /9500

  1.060  MATH         @Chan = 3
  1.061  M9500                       CH3
  1.062  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /9500

  1.063  MATH         @Chan = 4
  1.064  M9500                       CH4
  1.065  CALL         Sub Tek TDS1000B/2000B (1 yr) BANDWIDTH VISA /9500

  1.066  MATH         @Chan = 1
  1.067  M9500                       CH1
  1.068  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /9500

  1.069  MATH         @Chan = 2
  1.070  M9500                       CH2
  1.071  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /9500

  1.072  MATH         @Chan = 3
  1.073  M9500                       CH3
  1.074  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /9500

  1.075  MATH         @Chan = 4
  1.076  M9500                       CH4
  1.077  CALL         Sub Tek TDS1000B/2000B (1 yr) TRIG SENS VISA /9500

  1.078  JMPL         VERTICAL_POSITION

  1.079  LABEL        EXT_TRIG_CH1

  1.080  IF           @UsingPowerSplitter
  1.081  MATH         @Chan = 1
  1.082  M9500                       CH1
  1.083  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+1Hd
  1.084  MATH         @Chan = 2
  1.085  M9500                       CH1
  1.086  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+1Hd
  1.087  MATH         @Chan = 3
  1.088  M9500                       CH1
  1.089  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+1Hd
  1.090  MATH         @Chan = 4
  1.091  M9500                       CH1
  1.092  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+1Hd

  1.093  ELSE
  1.094  MATH         @Chan = 1
  1.095  M9500                       CH15
  1.096  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+2Hd
  1.097  MATH         @Chan = 2
  1.098  M9500                       CH25
  1.099  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+2Hd
  1.100  MATH         @Chan = 3
  1.101  M9500                       CH35
  1.102  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+2Hd
  1.103  MATH         @Chan = 4
  1.104  M9500                       CH45
  1.105  CALL         Sub Tek TDS1000B/2000B (1 yr) ExTrig VISA /9500+2Hd
  1.106  ENDIF

  1.107  JMPL         END

  1.108  LABEL        SAMPLE_RATE_DELAY_TIME
  1.109  MATH         @Chan = 1
  1.110  M9500                       CH1
  1.111  CALL         Sub Tek TDS1000B/2000B (1 yr) Sample Rate VISA /9500
  1.112  JMPL         EXT_TRIG_CH1

  1.113  LABEL        VERTICAL_POSITION
  1.114  MATH         @Chan = 1
  1.115  M9500                       CH1
  1.116  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /9500

  1.117  MATH         @Chan = 2
  1.118  M9500                       CH2
  1.119  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /9500

  1.120  MATH         @Chan = 3
  1.121  M9500                       CH3
  1.122  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /9500

  1.123  MATH         @Chan = 4
  1.124  M9500                       CH4
  1.125  CALL         Sub Tek TDS1000B/2000B (1yr) Vertical Pos VISA /9500
  1.126  JMPL         SAMPLE_RATE_DELAY_TIME

  1.127  LABEL        END

  1.128  IF           @Abort
  1.129  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.130  ELSE
  1.131  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.132  ENDIF

  1.133  VISA         *RST
  1.134  END
